diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/system-path.h ns-3.31/src/core/model/system-path.h
--- ns-3.30.1/src/core/model/system-path.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/system-path.h	2020-06-27 17:38:30.000000000 -0700
@@ -47,80 +47,105 @@
  */
 namespace SystemPath {
 
-  /**
-   * \ingroup systempath
-   * Get the file system path to the current executable.
-   *
-   * \return The directory in which the currently-executing binary is located
-   */
-  std::string FindSelfDirectory (void);
-  
-  /**
-   * \ingroup systempath
-   * Join two file system path elements.
-   *
-   * \param [in] left A path element
-   * \param [in] right A path element
-   * \return A concatenation of the two input paths
-   */
-  std::string Append (std::string left, std::string right);
-
-  /**
-   * \ingroup systempath
-   * Split a file system path into directories according to
-   * the local path separator.
-   *
-   * This is the inverse of Join.
-   *
-   * \param [in] path A path
-   * \return A list of path elements that can be joined together again with
-   *         the Join function.
-   * \sa ns3::SystemPath::Join
-   */
-  std::list<std::string> Split (std::string path);
-
-  /**
-   * Join a list of file system path directories into a single
-   * file system path.
-   *
-   * This is the inverse of Split.
-   *
-   * \ingroup systempath
-   * \param [in] begin Iterator to first element to join
-   * \param [in] end Iterator to one past the last element to join
-   * \return A path that is a concatenation of all the input elements.
-   */
-  std::string Join (std::list<std::string>::const_iterator begin,
-		    std::list<std::string>::const_iterator end);
-  
-  /**
-   * \ingroup systempath
-   * Get the list of files located in a file system directory.
-   *
-   * \param [in] path A path which identifies a directory
-   * \return A list of the filenames which are located in the input directory
-   */
-  std::list<std::string> ReadFiles (std::string path);
-
-  /**
-   * \ingroup systempath
-   * Get the name of a temporary directory.
-   *
-   * The returned path identifies a directory which does not exist yet.
-   * Call ns3::SystemPath::MakeDirectories to create it. Yes, there is a
-   * well-known security race in this API but we don't care in ns-3.
-   *
-   * \return A path which identifies a temporary directory.
-   */
-  std::string MakeTemporaryDirectoryName (void);
-
-  /**
-   * \ingroup systempath
-   * Create all the directories leading to path.
-   *
-   * \param [in] path A path to a directory
-   */
-  void MakeDirectories (std::string path);
+/**
+ * \ingroup systempath
+ * Get the file system path to the current executable.
+ *
+ * \return The directory in which the currently-executing binary is located
+ */
+std::string FindSelfDirectory (void);
+
+/**
+ * \ingroup systempath
+ * Join two file system path elements.
+ *
+ * \param [in] left A path element
+ * \param [in] right A path element
+ * \return A concatenation of the two input paths
+ */
+std::string Append (std::string left, std::string right);
+
+/**
+ * \ingroup systempath
+ * Split a file system path into directories according to
+ * the local path separator.
+ *
+ * This is the inverse of Join.
+ *
+ * \param [in] path A path
+ * \return A list of path elements that can be joined together again with
+ *         the Join function.
+ * \sa ns3::SystemPath::Join
+ */
+std::list<std::string> Split (std::string path);
+
+/**
+ * Join a list of file system path directories into a single
+ * file system path.
+ *
+ * This is the inverse of Split.
+ *
+ * \ingroup systempath
+ * \param [in] begin Iterator to first element to join
+ * \param [in] end Iterator to one past the last element to join
+ * \return A path that is a concatenation of all the input elements.
+ */
+std::string Join (std::list<std::string>::const_iterator begin,
+                  std::list<std::string>::const_iterator end);
+
+/**
+ * \ingroup systempath
+ * Get the list of files located in a file system directory.
+ *
+ * \param [in] path A path which identifies a directory
+ * \return A list of the filenames which are located in the input directory
+ */
+std::list<std::string> ReadFiles (std::string path);
+
+/**
+ * \ingroup systempath
+ * Get the name of a temporary directory.
+ *
+ * The returned path identifies a directory which does not exist yet.
+ * Call ns3::SystemPath::MakeDirectories to create it. Yes, there is a
+ * well-known security race in this API but we don't care in ns-3.
+ *
+ * The final path to the directory is going to look something like
+ *
+ *     /tmp/ns3.14.30.29.32767
+ *
+ * The first part, "/tmp/" is the absolute path found by inspecting
+ * the environment variables `TMP`and `TEMP`, in order. If neither
+ * exists the hard-codes root path `/tmp/` is used.
+ *
+ * The directory name itself starts with the "ns3" identifier telling folks
+ * who is making all of the temp directories.
+ *
+ * The next three number give the hour, minute and second, separated by
+ * periods.
+ *
+ * The final number is randomly generated, to avoid name collisions.
+ *
+ * \return A path which identifies a temporary directory.
+ */
+std::string MakeTemporaryDirectoryName (void);
+
+/**
+ * \ingroup systempath
+ * Create all the directories leading to path.
+ *
+ * \param [in] path A path to a directory
+ */
+void MakeDirectories (std::string path);
+
+/**
+ * \ingroup systempath
+ * Check if a path exists.
+ * Path can be a file or directory.
+ * \param [in] path The path to check.
+ * \returns \c true if the \pname{path} exists.
+ */
+bool Exists (const std::string path);
 
 } // namespace SystemPath
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/system-wall-clock-ms.h ns-3.31/src/core/model/system-wall-clock-ms.h
--- ns-3.30.1/src/core/model/system-wall-clock-ms.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/system-wall-clock-ms.h	2020-06-27 17:38:30.000000000 -0700
@@ -50,7 +50,8 @@
  * \ingroup system
  * \brief Measure elapsed wall clock time in milliseconds.
  */
-class SystemWallClockMs {
+class SystemWallClockMs
+{
 public:
   SystemWallClockMs ();
   ~SystemWallClockMs ();
@@ -61,7 +62,7 @@
   void Start (void);
   /**
    * \brief Stop measuring the time since Start() was called.
-   * \returns the measured elapsed wall clock time (in milliseconds) since 
+   * \returns the measured elapsed wall clock time (in milliseconds) since
    *          Start() was invoked.
    *
    * It is possible to start a new measurement with Start() after
@@ -72,7 +73,7 @@
   int64_t End (void);
 
   /**
-   * \returns the measured elapsed wall clock time (in milliseconds) since 
+   * \returns the measured elapsed wall clock time (in milliseconds) since
    *          Start() was invoked.
    *
    * Returns \c int64_t to avoid dependency on \c clock_t in ns-3 code.
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/system-wall-clock-timestamp.cc ns-3.31/src/core/model/system-wall-clock-timestamp.cc
--- ns-3.30.1/src/core/model/system-wall-clock-timestamp.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/src/core/model/system-wall-clock-timestamp.cc	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1,69 @@
+/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
+/*
+ * Copyright (c) 2020 Lawrence Livermore National Laboratory
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation;
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *
+ * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
+ */
+
+#include "system-wall-clock-timestamp.h"
+
+/**
+ * \file
+ * \ingroup system
+ * ns3::SystemWallClockTimestamp implementation.
+ */
+
+namespace ns3 {
+
+SystemWallClockTimestamp::SystemWallClockTimestamp (void)
+  : m_last (0),
+    m_diff (0)
+{
+  Stamp ();
+}
+
+void  
+SystemWallClockTimestamp::Stamp (void)
+{
+  std::time_t seconds  = std::time (NULL);
+  m_diff = seconds - m_last;
+  m_last = seconds;
+}
+  
+std::string
+SystemWallClockTimestamp::ToString (void) const
+{
+  std::string now = std::ctime ( &m_last );
+  now.resize (now.length () - 1);  // trim trailing newline
+  return now;
+}
+
+std::time_t
+SystemWallClockTimestamp::GetLast (void) const
+{
+  return m_last;
+}
+
+std::time_t
+SystemWallClockTimestamp::GetInterval (void) const
+{
+  return m_diff;
+}
+
+  
+
+}  // namespace ns3
+
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/system-wall-clock-timestamp.h ns-3.31/src/core/model/system-wall-clock-timestamp.h
--- ns-3.30.1/src/core/model/system-wall-clock-timestamp.h	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.31/src/core/model/system-wall-clock-timestamp.h	2020-06-27 17:38:30.000000000 -0700
@@ -0,0 +1,78 @@
+/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
+/*
+ * Copyright (c) 2020 Lawrence Livermore National Laboratory
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation;
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ *
+ * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
+ */
+
+#ifndef SYSTEM_WALL_CLOCK_TIMESTAMP_H
+#define SYSTEM_WALL_CLOCK_TIMESTAMP_H
+
+/**
+ * \file
+ * \ingroup system
+ * ns3::SystemWallClockTimestamp declaration.
+ */
+
+#include <string>
+#include <ctime>  // ctime, time_t
+
+
+namespace ns3 {
+  
+/**
+ * Utility class to record the difference between two wall-clock times.
+ */
+class SystemWallClockTimestamp
+{
+public:
+  /** Constructor */
+  SystemWallClockTimestamp (void);
+
+  /** Record the current wall-clock time and delta since the last stamp(). */
+  void Stamp (void);
+
+  /**
+   * Get the last time stamp as a string.
+   * \return The last time stamp.
+   */
+  std::string ToString (void) const;
+
+  /**
+   * Get the last recorded raw value.
+   * \returns The last time stamp recorded.
+   */
+  std::time_t GetLast (void) const;
+
+  /**
+   * Get the last recorded interval.
+   * \returns The interval between the last two time stamps.
+   */
+  std::time_t GetInterval (void) const;
+  
+private:
+
+  /** The last time stamp. */
+  std::time_t m_last;
+  
+  /** Difference between the two previous time stamps. */
+  std::time_t m_diff;    
+
+};  // class SystemWallClockTimestamp
+
+}  // namespace ns3
+
+#endif  /* SYSTEM_WALL_CLOCK_TIMESTAMP_H */
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/test.cc ns-3.31/src/core/model/test.cc
--- ns-3.30.1/src/core/model/test.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/test.cc	2020-06-27 17:38:30.000000000 -0700
@@ -66,7 +66,7 @@
       return false;
     }
   return true;
-} 
+}
 
 /**
  * \ingroup testingimpl
@@ -84,8 +84,8 @@
    * \param [in] _file    The source file.
    * \param [in] _line    The source line.
    */
-  TestCaseFailure (std::string _cond, std::string _actual, 
-                   std::string _limit, std::string _message, 
+  TestCaseFailure (std::string _cond, std::string _actual,
+                   std::string _limit, std::string _message,
                    std::string _file, int32_t _line);
   std::string cond;    /**< The name of the condition being tested. */
   std::string actual;  /**< The actual value returned by the test. */
@@ -107,7 +107,7 @@
      << "\" actual=\"" << failure.actual
      << "\" limit=\""  << failure.limit
      << "\" in=\""     << failure.file
-     << ":"            << failure.line 
+     << ":"            << failure.line
      << "\" "          << failure.message;
 
   return os;
@@ -140,7 +140,7 @@
 public:
   /** Constructor. */
   TestRunnerImpl ();
-  
+
   /**
    * Add a new top-level TestSuite.
    * \param [in] testSuite The new TestSuite.
@@ -177,14 +177,14 @@
   /**
    * Check if this is the root of the source tree.
    * \param [in] path The path to test.
-   * \returns \c true if \p path is the root.
+   * \returns \c true if \pname{path} is the root.
    */
   bool IsTopLevelSourceDir (std::string path) const;
   /**
    * Clean up characters not allowed in XML.
    *
    * XML files have restrictions on certain characters that may be present in
-   * data.  We need to replace these characters with their alternate 
+   * data.  We need to replace these characters with their alternate
    * representation on the way into the XML file.
    *
    * Specifically, we make these replacements:
@@ -216,7 +216,7 @@
    * \param [in] end Iterator to the end of the list.
    * \param [in] printTestType Preprend the test type label if \c true.
    */
-  void PrintTestNameList (std::list<TestCase *>::const_iterator begin, 
+  void PrintTestNameList (std::list<TestCase *>::const_iterator begin,
                           std::list<TestCase *>::const_iterator end,
                           bool printTestType) const;
   /** Print the list of test types. */
@@ -255,8 +255,8 @@
 
 
 
-TestCaseFailure::TestCaseFailure (std::string _cond, std::string _actual, 
-                                  std::string _limit, std::string _message, 
+TestCaseFailure::TestCaseFailure (std::string _cond, std::string _actual,
+                                  std::string _limit, std::string _message,
                                   std::string _file, int32_t _line)
   : cond (_cond), actual (_actual), limit (_limit),
     message (_message), file (_file), line (_line)
@@ -310,7 +310,7 @@
   //
   // The Windows list is too restrictive:  we like to label
   // tests with "val = v1 * v2" or "v1 < 3" or "case: foo --> bar"
-  // So we allow ':<>*" 
+  // So we allow ':<>*"
 
   std::string badchars = "\"/\\|?";
   // Badchar Class  Regex          Count of failing test names
@@ -328,7 +328,7 @@
         $ ./waf --run "test-runner --list" 2>&1 | grep "^Invalid" | wc
       */
       NS_LOG_UNCOND ("Invalid test name: cannot contain any of '"
-                      << badchars << "': " << testCase->m_name);
+                     << badchars << "': " << testCase->m_name);
     }
 
   testCase->m_duration = duration;
@@ -343,7 +343,7 @@
   return m_result->childrenFailed || !m_result->failure.empty ();
 }
 
-void 
+void
 TestCase::Run (TestRunnerImpl *runner)
 {
   NS_LOG_FUNCTION (this << runner);
@@ -361,12 +361,12 @@
         }
     }
   DoRun ();
- out:
+out:
   m_result->clock.End ();
   DoTeardown ();
   m_runner = 0;
 }
-std::string 
+std::string
 TestCase::GetName (void) const
 {
   NS_LOG_FUNCTION (this);
@@ -379,8 +379,8 @@
 }
 
 void
-TestCase::ReportTestFailure (std::string cond, std::string actual, 
-                             std::string limit, std::string message, 
+TestCase::ReportTestFailure (std::string cond, std::string actual,
+                             std::string limit, std::string message,
                              std::string file, int32_t line)
 {
   NS_LOG_FUNCTION (this << cond << actual << limit << message << file << line);
@@ -395,20 +395,20 @@
     }
 
 }
-bool 
+bool
 TestCase::MustAssertOnFailure (void) const
 {
   NS_LOG_FUNCTION (this);
   return m_runner->MustAssertOnFailure ();
 }
-bool 
+bool
 TestCase::MustContinueOnFailure (void) const
 {
   NS_LOG_FUNCTION (this);
   return m_runner->MustContinueOnFailure ();
 }
 
-std::string 
+std::string
 TestCase::CreateDataDirFilename (std::string filename)
 {
   NS_LOG_FUNCTION (this << filename);
@@ -426,7 +426,7 @@
   std::string b = SystemPath::Append (a, filename);
   return b;
 }
-std::string 
+std::string
 TestCase::CreateTempDirFilename (std::string filename)
 {
   NS_LOG_FUNCTION (this << filename);
@@ -448,32 +448,32 @@
       return SystemPath::Append (tempDir, filename);
     }
 }
-bool 
+bool
 TestCase::IsStatusFailure (void) const
 {
   NS_LOG_FUNCTION (this);
   return !IsStatusSuccess ();
 }
-bool 
+bool
 TestCase::IsStatusSuccess (void) const
 {
   NS_LOG_FUNCTION (this);
   return m_result->failure.empty ();
 }
 
-void 
+void
 TestCase::SetDataDir (std::string directory)
 {
   NS_LOG_FUNCTION (this << directory);
   m_dataDir = directory;
 }
 
-void 
+void
 TestCase::DoSetup (void)
 {
   NS_LOG_FUNCTION (this);
 }
-void 
+void
 TestCase::DoTeardown (void)
 {
   NS_LOG_FUNCTION (this);
@@ -481,31 +481,31 @@
 
 
 TestSuite::TestSuite (std::string name, TestSuite::Type type)
-  : TestCase (name), 
+  : TestCase (name),
     m_type (type)
 {
   NS_LOG_FUNCTION (this << name << type);
   TestRunnerImpl::Get ()->AddTestSuite (this);
 }
 
-TestSuite::Type 
+TestSuite::Type
 TestSuite::GetTestType (void)
 {
   NS_LOG_FUNCTION (this);
   return m_type;
 }
 
-void 
+void
 TestSuite::DoRun (void)
 {
   NS_LOG_FUNCTION (this);
 }
 
 TestRunnerImpl::TestRunnerImpl ()
- : m_tempDir (""),
-   m_assertOnFailure (false),
-   m_continueOnFailure (true),
-   m_updateData (false)
+  : m_tempDir (""),
+    m_assertOnFailure (false),
+    m_continueOnFailure (true),
+    m_updateData (false)
 {
   NS_LOG_FUNCTION (this);
 }
@@ -518,20 +518,20 @@
 }
 
 
-bool 
+bool
 TestRunnerImpl::MustAssertOnFailure (void) const
 {
   NS_LOG_FUNCTION (this);
   return m_assertOnFailure;
 }
-bool 
+bool
 TestRunnerImpl::MustContinueOnFailure (void) const
 {
   NS_LOG_FUNCTION (this);
   return m_continueOnFailure;
 }
 
-bool 
+bool
 TestRunnerImpl::MustUpdateData (void) const
 {
   NS_LOG_FUNCTION (this);
@@ -549,7 +549,7 @@
   NS_LOG_FUNCTION (this << path);
   bool haveVersion = false;
   bool haveLicense = false;
-  
+
   //
   // If there's a file named VERSION and a file named LICENSE in this
   // directory, we assume it's our top level source directory.
@@ -567,11 +567,11 @@
           haveLicense = true;
         }
     }
-  
+
   return haveVersion && haveLicense;
 }
 
-std::string 
+std::string
 TestRunnerImpl::GetTopLevelSourceDir (void) const
 {
   NS_LOG_FUNCTION (this);
@@ -591,7 +591,7 @@
 
 //
 // XML files have restrictions on certain characters that may be present in
-// data.  We need to replace these characters with their alternate 
+// data.  We need to replace these characters with their alternate
 // representation on the way into the XML file.
 //
 std::string
@@ -676,31 +676,31 @@
   std::streamsize oldPrecision = (*os).precision (3);
   *os << std::fixed;
 
-  std::string statusString = test->IsFailed ()?"FAIL":"PASS";
+  std::string statusString = test->IsFailed () ? "FAIL" : "PASS";
   if (xml)
     {
       *os << Indent (level) << "<Test>" << std::endl;
-      *os << Indent (level+1) << "<Name>" << ReplaceXmlSpecialCharacters (test->m_name)
+      *os << Indent (level + 1) << "<Name>" << ReplaceXmlSpecialCharacters (test->m_name)
           << "</Name>" << std::endl;
-      *os << Indent (level+1) << "<Result>" << statusString << "</Result>" << std::endl;
-      *os << Indent (level+1) << "<Time real=\"" << real << "\" user=\"" << user 
+      *os << Indent (level + 1) << "<Result>" << statusString << "</Result>" << std::endl;
+      *os << Indent (level + 1) << "<Time real=\"" << real << "\" user=\"" << user
           << "\" system=\"" << system << "\"/>" << std::endl;
       for (uint32_t i = 0; i < test->m_result->failure.size (); i++)
         {
           TestCaseFailure failure = test->m_result->failure[i];
-          *os << Indent (level+2) << "<FailureDetails>" << std::endl
-              << Indent (level+3) << "<Condition>" 
+          *os << Indent (level + 2) << "<FailureDetails>" << std::endl
+              << Indent (level + 3) << "<Condition>"
               << ReplaceXmlSpecialCharacters (failure.cond) << "</Condition>" << std::endl
-              << Indent (level+3) << "<Actual>" 
+              << Indent (level + 3) << "<Actual>"
               << ReplaceXmlSpecialCharacters (failure.actual) << "</Actual>" << std::endl
-              << Indent (level+3) << "<Limit>" 
+              << Indent (level + 3) << "<Limit>"
               << ReplaceXmlSpecialCharacters (failure.limit) << "</Limit>" << std::endl
-              << Indent (level+3) << "<Message>" 
+              << Indent (level + 3) << "<Message>"
               << ReplaceXmlSpecialCharacters (failure.message) << "</Message>" << std::endl
-              << Indent (level+3) << "<File>" 
+              << Indent (level + 3) << "<File>"
               << ReplaceXmlSpecialCharacters (failure.file) << "</File>" << std::endl
-              << Indent (level+3) << "<Line>" << failure.line << "</Line>" << std::endl
-              << Indent (level+2) << "</FailureDetails>" << std::endl;
+              << Indent (level + 3) << "<Line>" << failure.line << "</Line>" << std::endl
+              << Indent (level + 2) << "</FailureDetails>" << std::endl;
         }
       for (uint32_t i = 0; i < test->m_children.size (); i++)
         {
@@ -711,7 +711,7 @@
     }
   else
     {
-      *os << Indent (level) << statusString << " " << test->GetName () 
+      *os << Indent (level) << statusString << " " << test->GetName ()
           << " " << real << " s" << std::endl;
       if (m_verbose)
         {
@@ -727,10 +727,10 @@
         }
     }
 
-  (*os).unsetf(std::ios_base::floatfield);
+  (*os).unsetf (std::ios_base::floatfield);
   (*os).precision (oldPrecision);
 }
-  
+
 void
 TestRunnerImpl::PrintHelp (const char *program_name) const
 {
@@ -765,11 +765,11 @@
             << "output" << std::endl
             << "  --append=FILE          : append test result to FILE instead of standard "
             << "output" << std::endl
-    ;  
+  ;
 }
 
 void
-TestRunnerImpl::PrintTestNameList (std::list<TestCase *>::const_iterator begin, 
+TestRunnerImpl::PrintTestNameList (std::list<TestCase *>::const_iterator begin,
                                    std::list<TestCase *>::const_iterator end,
                                    bool printTestType) const
 {
@@ -777,7 +777,6 @@
   std::map<TestSuite::Type, std::string> label;
 
   label[TestSuite::ALL]         = "all          ";
-  label[TestSuite::BVT]         = "bvt          ";
   label[TestSuite::UNIT]        = "unit         ";
   label[TestSuite::SYSTEM]      = "system       ";
   label[TestSuite::EXAMPLE]     = "example      ";
@@ -785,7 +784,7 @@
 
   for (std::list<TestCase *>::const_iterator i = begin; i != end; ++i)
     {
-      TestSuite * test= dynamic_cast<TestSuite *>(*i);
+      TestSuite * test = dynamic_cast<TestSuite *> (*i);
       NS_ASSERT (test != 0);
       if (printTestType)
         {
@@ -799,7 +798,6 @@
 TestRunnerImpl::PrintTestTypeList (void) const
 {
   NS_LOG_FUNCTION (this);
-  std::cout << "  bvt:         Build Verification Tests (to see if build completed successfully)" << std::endl;
   std::cout << "  core:        Run all TestSuite-based tests (exclude examples)" << std::endl;
   std::cout << "  example:     Examples (to see if example programs run successfully)" << std::endl;
   std::cout << "  performance: Performance Tests (check to see if the system is as fast as expected)" << std::endl;
@@ -860,7 +858,7 @@
 }
 
 
-int 
+int
 TestRunnerImpl::Run (int argc, char *argv[])
 {
   NS_LOG_FUNCTION (this << argc << argv);
@@ -884,7 +882,7 @@
     {
       char *arg = *argi;
 
-      if (strcmp(arg, "--assert-on-failure") == 0)
+      if (strcmp (arg, "--assert-on-failure") == 0)
         {
           m_assertOnFailure = true;
         }
@@ -909,8 +907,8 @@
           PrintHelp (progname);
           return 0;
         }
-      else if (strcmp (arg, "--print-test-name-list") == 0 ||
-               strcmp(arg, "--list") == 0)
+      else if (strcmp (arg, "--print-test-name-list") == 0
+               || strcmp (arg, "--list") == 0)
         {
           printTestNameList = true;
         }
@@ -922,37 +920,37 @@
         {
           printTestTypeList = true;
         }
-     else if (strcmp(arg, "--append") == 0)
+      else if (strcmp (arg, "--append") == 0)
         {
           append = true;
         }
-      else if (strcmp(arg, "--xml") == 0)
+      else if (strcmp (arg, "--xml") == 0)
         {
           xml = true;
         }
-      else if (strncmp(arg, "--test-type=", strlen("--test-type=")) == 0)
+      else if (strncmp (arg, "--test-type=", strlen ("--test-type=")) == 0)
         {
-          testTypeString = arg + strlen("--test-type=");
+          testTypeString = arg + strlen ("--test-type=");
         }
-      else if (strncmp(arg, "--test-name=", strlen("--test-name=")) == 0)
+      else if (strncmp (arg, "--test-name=", strlen ("--test-name=")) == 0)
         {
-          testName = arg + strlen("--test-name=");
+          testName = arg + strlen ("--test-name=");
         }
-      else if (strncmp(arg, "--suite=", strlen("--suite=")) == 0)
+      else if (strncmp (arg, "--suite=", strlen ("--suite=")) == 0)
         {
-          testName = arg + strlen("--suite=");
+          testName = arg + strlen ("--suite=");
         }
-      else if (strncmp(arg, "--tempdir=", strlen("--tempdir=")) == 0)
+      else if (strncmp (arg, "--tempdir=", strlen ("--tempdir=")) == 0)
         {
-          m_tempDir = arg + strlen("--tempdir=");
+          m_tempDir = arg + strlen ("--tempdir=");
         }
-      else if (strncmp(arg, "--out=", strlen("--out=")) == 0)
+      else if (strncmp (arg, "--out=", strlen ("--out=")) == 0)
         {
-          out = arg + strlen("--out=");
+          out = arg + strlen ("--out=");
         }
-      else if (strncmp(arg, "--fullness=", strlen("--fullness=")) == 0)
+      else if (strncmp (arg, "--fullness=", strlen ("--fullness=")) == 0)
         {
-          fullness = arg + strlen("--fullness=");
+          fullness = arg + strlen ("--fullness=");
 
           // Set the maximum test length allowed.
           if (fullness == "QUICK")
@@ -987,10 +985,6 @@
     {
       testType = TestSuite::ALL;
     }
-  else if (testTypeString == "bvt")
-    {
-      testType = TestSuite::BVT;
-    }
   else if (testTypeString == "core")
     {
       testType = TestSuite::ALL;
@@ -1038,13 +1032,13 @@
       PrintTestTypeList ();
       return 0;
     }
-  
+
 
   std::ostream *os;
   if (out != "")
     {
       std::ofstream *ofs;
-      ofs = new std::ofstream();
+      ofs = new std::ofstream ();
       std::ios_base::openmode mode = std::ios_base::out;
       if (append)
         {
@@ -1096,7 +1090,7 @@
         DesMetrics::Get ()->Initialize (desargs, m_tempDir);
       }
 #endif
-      
+
       test->Run (this);
       PrintReport (test, os, xml, 0);
       if (test->IsFailed ())
@@ -1114,10 +1108,10 @@
       delete os;
     }
 
-  return failed?1:0;
+  return failed ? 1 : 0;
 }
 
-int 
+int
 TestRunner::Run (int argc, char *argv[])
 {
   NS_LOG_FUNCTION (argc << argv);
